Set a manual token price on transactions
curl --request POST \
--url https://api.breezing.io/v1/transactions/update-price-manual \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
123
],
"price": "1850.25",
"walletId": 1
}
'import requests
url = "https://api.breezing.io/v1/transactions/update-price-manual"
payload = {
"ids": [123],
"price": "1850.25",
"walletId": 1
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({ids: [123], price: '1850.25', walletId: 1})
};
fetch('https://api.breezing.io/v1/transactions/update-price-manual', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/transactions/update-price-manual",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ids' => [
123
],
'price' => '1850.25',
'walletId' => 1
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/transactions/update-price-manual"
payload := strings.NewReader("{\n \"ids\": [\n 123\n ],\n \"price\": \"1850.25\",\n \"walletId\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/transactions/update-price-manual")
.header("Content-Type", "application/json")
.body("{\n \"ids\": [\n 123\n ],\n \"price\": \"1850.25\",\n \"walletId\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/transactions/update-price-manual")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"ids\": [\n 123\n ],\n \"price\": \"1850.25\",\n \"walletId\": 1\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"updated": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Transactions
Update Price Manual API
Set a manual token price on Breezing transactions to recompute fiat values when the market price is missing, wrong, or agreed in a deal.
POST
/
transactions
/
update-price-manual
Set a manual token price on transactions
curl --request POST \
--url https://api.breezing.io/v1/transactions/update-price-manual \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
123
],
"price": "1850.25",
"walletId": 1
}
'import requests
url = "https://api.breezing.io/v1/transactions/update-price-manual"
payload = {
"ids": [123],
"price": "1850.25",
"walletId": 1
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({ids: [123], price: '1850.25', walletId: 1})
};
fetch('https://api.breezing.io/v1/transactions/update-price-manual', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/transactions/update-price-manual",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ids' => [
123
],
'price' => '1850.25',
'walletId' => 1
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/transactions/update-price-manual"
payload := strings.NewReader("{\n \"ids\": [\n 123\n ],\n \"price\": \"1850.25\",\n \"walletId\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/transactions/update-price-manual")
.header("Content-Type", "application/json")
.body("{\n \"ids\": [\n 123\n ],\n \"price\": \"1850.25\",\n \"walletId\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/transactions/update-price-manual")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"ids\": [\n 123\n ],\n \"price\": \"1850.25\",\n \"walletId\": 1\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"updated": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Query Parameters
Body
application/json
Last modified on November 13, 2026